POST api/badgemappingapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

BadgeMappingViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

site_id

globally unique identifier

None.

source_code

string

String length: inclusive between 0 and 30

target_code

string

String length: inclusive between 0 and 30

description

string

String length: inclusive between 0 and 80

application_date

date

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "8b561ffa-86ac-4af4-9ece-eede8b5c9f6f",
  "site_id": "a93e8179-598d-4fa0-8f7e-3c1141e59c31",
  "source_code": "sample string 3",
  "target_code": "sample string 4",
  "description": "sample string 5",
  "application_date": "2026-03-11T06:53:49.2079707+00:00"
}

application/xml, text/xml

Sample:
<badgemapping xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <application_date>2026-03-11T06:53:49.2079707+00:00</application_date>
  <description>sample string 5</description>
  <id>8b561ffa-86ac-4af4-9ece-eede8b5c9f6f</id>
  <site_id>a93e8179-598d-4fa0-8f7e-3c1141e59c31</site_id>
  <source_code>sample string 3</source_code>
  <target_code>sample string 4</target_code>
</badgemapping>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"d2f540bc-7d84-44b3-afb0-875667f7c0db"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">d2f540bc-7d84-44b3-afb0-875667f7c0db</guid>